// 云函数入口文件
const cloud = require('wx-server-sdk')

cloud.init()
const db = cloud.database()
// 云函数入口函数
exports.main = async (event, context) => {
  const wxContext = cloud.getWXContext()
	await db.collection('sM_productInfo').doc(event.productId).update({
		data: {
			viewNum: db.command.inc(1)
		}
	})
  return;
}

/*
	api说明：
		功能：
			单纯的增加商品的浏览数，因为权限的问题放在云函数里，要不然就直接在小程序里写了
			因为就算没加上也无所谓，所以不返回任何值。
		作者：RainSun
		时间：2019/05/01
*/