// components/sellerInfo/sellerInfo.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    pageState:true,
    sellerName:null,
    sellerWx:null,
    sellerTel:null,
    sellerAvatar:null,
    fullSellerTel:null,
    fullSellerWx:null,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.cloud.init();
    wx.cloud.callFunction({
      name: "cS_getSellerInfo",
      data: {
        sellerId :options.sellerId,
      }
		}).then(res => {
      let info = res.result;
      this.init(info);
		}).catch(err => {
		  console.log(err)
    })
    wx.hideShareMenu();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  changeMainPage() {
    this.setData({
      pageState:false
    })
  },
  init(info) {
    console.log(info)
    let cutPhone = info.phone.substr(0,3) + "****" + info.phone.substr(-4);
    let cutWx = info.wxid.substr(0,3) + "****" + info.wxid.substr(-3)
    this.setData({
      sellerName:info.userName,
      sellerAvatar:info.avatarUrl,
      sellerTel:cutPhone,
      sellerWx:cutWx,
      fullSellerWx:info.wxid,
      fullSellerTel:info.phone
    })
  },
  BackPage() {
    wx.navigateBack({
      delta: 1
    });
  },
  copy(e) {
    // console.log(e.currentTarget.dataset.item)
    wx.setClipboardData({
      data: e.currentTarget.dataset.item,
      success(res) {
        console.log(res)
      }
    })
  }
})