wx.cloud.callFunction({
  name: 'sM_searchProductList',
  data: {
    status: 621,
    argument: "台灯", //仅在使用500模糊查询时使用
  }
}).then(res => {
  console.log(res.result)
}).catch(err => {
  console.log(err)
})

//注册
db.collection("sM_userInfo").add({
  data: {
    userName: userInfo.nickName,
    avatarUrl: userInfo.avatarUrl,
    phone: "15143211127",
    wxid: "15143211127",
    adds: "南区二舍",
  }
}).then(res => {
  console.log(res);
}).catch(err => {
  console.log(err);
})

//登录
wx.cloud.callFunction({
	name: "sM_login"
}).then(res => {
	console.log(res.result.userInfo[0])
	detailInfo = res;
}).catch(err => {
	console.log(err)
})


//comment 前端判断是回复还是评论
var iscomment = true;
wx.cloud.callFunction({
	name: 'sM_comment',
	data: {
		iscomment:iscomment,
		userInfo:detailInfo,
		productId:"96c1cbbe5cbfbcd80599b5253d4fe6ba",
		msg:"小东西真精致",
	}
}).then(res => {
	console.log(res.result)
}).catch(err => {
	console.log(err)
})


//comment 前端判断是回复还是评论
var iscomment = false,replyName = "英树",replyNum = 1, replyId = 'ee3099285cc0247005d90def39a28f1b', productId = "96c1cbbe5cbfbcd80599b5253d4fe6ba", msg = '小东西真精致', productName = "大碗宽面";
wx.cloud.callFunction({
	name: 'sM_comment',
	data: {
		iscomment:iscomment,
		userInfo:detailInfo,
		productId: productId,
		msg:'@'+replyName+':'+msg,
		replyNum : replyNum,
		replyId : replyId,
		productName: productName,
	}
}).then(res => {
	console.log(res.result) //新的当前商品信息
}).catch(err => {
	console.log(err)
})

//想要,先改商品信息，再改个人信息
var productId = "96c1cbbe5cbfbcd80599b5253d4fe6ba", productName = "大碗宽面";
wx.cloud.callFunction({
	name: 'sM_want',
	data: {
		detailInfo:detailInfo,
		productId: productId,
		productName: productName,
	}
}).then(res => {
	console.log(res.result) //true就是成功了，false就是失败
}).catch(err => {
	console.log(err)
})


var productId = "96c1cbbe5cbfbcd80599b5253d4fe6ba";
wx.cloud.callFunction({
	name: 'sM_addviewNum',
	data: {
		productId: productId,
	}
}).then(res => {
	console.log(res.result) //true就是成功了，false就是失败
}).catch(err => {
	console.log(err)
})

//修改商品信息，先改商品，然后再给want的人们发通知
var productId = "96c1cbbe5cbfbcd80599b5253d4fe6ba",newPrice = 75,newisFree = false,isSall = false;
wx.cloud.callFunction({
	name: 'sM_rewriteProduct',
	data: {
		productId: productId,
		newPrice:newPrice,
		newisFree:newisFree,
		isSall:isSall,
	}  
}).then(res => {
	console.log(res.result) //true就是成功了，false就是失败
}).catch(err => {
	console.log(err)
})

//先把接口写完再回来改调用
//发布（开始审核）先调用creatProduct如果创建成功然后再那个函数里边调用这个
//在data里边有一个id变量；前端写的时候要加一个是否要发布，获取一个id存着，然后一起发给这个函数
if(this.data.id.length == 0) {
  this.data.id = e.detail.formId
}else {
  var that = this;
  var sendId = 'otxHM4icvFkfMcaqxTH1zSNKhKVs',detail="巴拉巴拉",sendName= "赵英博";
  wx.cloud.callFunction({
	name: 'sM_sendMsg',
	data: {
		formId1: e.detail.formId,
		formId2: that.data.id,
		sendId: sendId,
		detail: detail,
		sendName: sendName,
		stats: 1 //开始
	}
  }).then(res => {
	console.log(res)
	that.data.id = null;
  }).catch(err => {
	console.log(err)
  })
}

//审核结果
var sendId = 'otxHM4icvFkfMcaqxTH1zSNKhKVs',sendName= "赵英博";
wx.cloud.callFunction({
name: 'sM_sendMsg',
data: {
	formId: e.detail.formId, 
	sendId: sendId,  //给谁发
	sendName: sendName, //发给谁的名字
	result: "审核失败",  //结果：通过或者失败
	remarks:"您的商品信息不够完整，请点击下方修改"  ,//备注，随便写
	stats: 2 //结果
}
}).then(res => {
console.log(res)
that.data.id = null;
}).catch(err => {
console.log(err)
})